## c++-annotations 12.1.0

=== yo/coroutines/demo/corodir/Makefile ===
all: gcc clang

clang:
	 clang++ -std=c++20 -o readdir_clang -Wall -Werror -stdlib=libc++ -O2 main.cc -s

gcc:
	g++ -std=c++20 -o readdir_gcc -Wall -Werror -O2 main.cc -s

clangg:
	 clang++ -std=c++20 -o readdir_clang -Wall -Werror -stdlib=libc++ -O2 -g main.cc

gccg:
	g++ -std=c++20 -o readdir_gcc -Wall -Werror -O2 -g main.cc

clean:
	rm readdir_clang 
	rm readdir_gcc

## c++-annotations 8.2.0

=== debian/changelog ===
c++-annotations (8.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 17 May 2010 16:42:42 +0200

c++-annotations (8.1.2-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release.

  [ tony mancill ]
  * Switched to source format 3.0 (quilt)
  * Upgraded to debhelper compat 7; minor tweak to debian/rules.

 -- tony mancill <tmancill@debian.org>  Thu, 06 May 2010 21:53:54 -0700

c++-annotations (8.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 11 Mar 2010 21:11:28 +0100

c++-annotations (8.1.1~pre-1) unstable; urgency=low

  * New preliminary upstream release, not for distribution to Debian

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 03 Mar 2010 20:40:59 +0100

c++-annotations (8.1.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 01 Mar 2010 09:11:46 +0100

c++-annotations (8.1.0~pre2-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 23 Dec 2009 19:54:17 +0100

c++-annotations (8.1.0~pre1-1) unstable; urgency=low

  * New upstream release
  * Add version 2 to GPL in copyright
  * Move all build-depends to Build-Depends-Indep, except debhelper,
    since no architecture-dependent packages being built
  * Add some bits to the packages short descriptions to make the differences
    more clear among them

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 06 Nov 2009 10:55:45 +0100

c++-annotations (8.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #542999)
  * Build-Depends on bobcat 2.04.01

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 04 Sep 2009 20:17:34 +0200

c++-annotations (8.0.0-2) unstable; urgency=low

  * debian/control: change archive section from 'devel' to 'doc'

 -- tony mancill <tmancill@debian.org>  Tue, 21 Jul 2009 14:00:33 -0700

c++-annotations (8.0.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 16 Jul 2009 10:15:14 +0200

c++-annotations (7.3.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sun, 15 Feb 2009 16:47:42 +0100

c++-annotations (7.2.2-1) unstable; urgency=low

  * New upstream release (textual corrections, new major version of the
    bobcat library)
  * control: XS-X-Vcs-Svn replaced by Vcs-Svn

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Sat, 06 Dec 2008 13:40:26 +0100

c++-annotations (7.2.1-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release (textual corrections)

  [ George Danchev ]
  * standards-version is now 3.8.0, no changes needed
  * build-depends on ghostscript rather than gs-gpl, which is now obsoleted

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 06 Aug 2008 08:54:20 +0200

c++-annotations (7.2.0-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release

  [ tony mancill ]
  * Standards version is now 3.7.3.
  * debian/rules:  binary-arch target has been replaced with binary-indep

 -- tony mancill <tmancill@debian.org>  Tue, 25 Mar 2008 08:00:58 -0700

c++-annotations (7.0.1-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 30 Jul 2007 12:53:26 +0200

c++-annotations (7.0.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 15 Jun 2007 19:31:12 +0200

c++-annotations (6.5.0-2) unstable; urgency=low

  [ George Danchev ]
  * Added sty files to the -latex package

  [ tony mancill ]
  * updated build dependencies for tetex to texlive transition

 -- tony mancill <tmancill@debian.org>  Fri, 20 Apr 2007 22:05:03 -0700

c++-annotations (6.5.0-1) unstable; urgency=low

  * New upstream release

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 30 Nov 2006 16:07:55 +0100

c++-annotations (6.4.1-2) unstable; urgency=low

  * control: use XS-X-Vcs-Svn, rather that XS-X-VCS-Svn
  * rules: install all directories with code examples

 -- George Danchev <danchev@spnet.net>  Fri, 22 Sep 2006 11:42:27 +0300

c++-annotations (6.4.1-1) unstable; urgency=low

  * New upstream release
    - removed chist document from contrib package due to license ambiguity
    - removed Portuguese translation until license can be clarified

  * copyright: added permissions for contributions/java_cpp_keywords.html

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Tue, 19 Sep 2006 13:14:25 +0200

c++-annotations (6.4.0f-5) unstable; urgency=low

  [ Tony Mancill ]
  * Fixed the spelling of Portuguese
  * Added myself to uploaders
  * Added some information to the main package description about the other
    formats, removed some of the whitespace in the dependencies line
  * Removed the conflicts from the main package.

 -- George Danchev <danchev@spnet.net>  Fri, 15 Sep 2006 08:15:55 +0300

c++-annotations (6.4.0f-4) unstable; urgency=low

  [ George Danchev ]
  * Split off html|txt|latex|pdf|ps|dvi|contrib packages, thus
    Conflicts: c++-annotations (<< 6.4.0f-3) since the directory overlap
  * get-orig-source: use sed instead of original-awk

 -- George Danchev <danchev@spnet.net>  Sun, 10 Sep 2006 11:28:10 +0300

c++-annotations (6.4.0f-3) unstable; urgency=low

  [ George Danchev ]  
  * Add XS-X-VCS-Svn: field to control file
  * DVI, PS, and LaTex outputs are now compressed
  * Only certain files are installed from latex directory
  * Symlinks are now removed

 -- George Danchev <danchev@spnet.net>  Fri,  8 Sep 2006 19:32:23 +0300

c++-annotations (6.4.0f-2) unstable; urgency=low

  [ George Danchev, after a review by Tony Mancill ]
  * Architecture: all
  * Remove ${shlibs:Depends} from Depends:
  * Remove lynx | www-browser from Depends:
  * Remove gs from Build-Depends:
  * Add Homepage: to Description:
  * Remove extra debian/docs file, files already handled by dh_installdocs

 -- George Danchev <danchev@spnet.net>  Fri,  8 Sep 2006 04:33:54 +0300



=== debian/control ===
Source: c++-annotations
Section: doc
Priority: optional
Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
Uploaders: George Danchev <danchev@spnet.net>, tony mancill <tmancill@debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: icmake (>= 7.12.1), yodl (>= 2.14.4),
                libbobcat-dev (>= 2.04.01), flex, zip, texlive-latex-base,
                texlive-generic-recommended, texlive-latex-recommended, 
                texlive-fonts-recommended, ghostscript, g++ (>= 4.3.3)
Standards-Version: 3.8.4
Vcs-Svn: http://svn.openfmi.net/debian-addons-bg/c++-annotations
Homepage: http://cppannotations.sourceforge.net/

Package: c++-annotations
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}, c++-annotations-html, c++-annotations-txt, c++-annotations-latex, c++-annotations-pdf, c++-annotations-ps, c++-annotations-dvi, c++-annotations-contrib
Description: Extensive tutorial and documentation about C++
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses. A
 translation of this document (included in this package) is available in
 Portuguese.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands. 
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 This package installs C++ Annotations packages for all available formats, 
 including:
    - plain ascii text
    - LaTeX (including a .dvi file)
    - PostScript
    - pdf
    - html
 The postscript, pdf and LaTeX formats were constructed for two different
 paper-sizes: A4 and legal.
 .
 If you do not require all of the available formats, you may prefer to 
 install one or more of the following c++-annotations-{format} packages 
 instead:
    - c++-annotations-html
    - c++-annotations-txt
    - c++-annotations-latex
    - c++-annotations-pdf
    - c++-annotations-ps
    - c++-annotations-dvi
 .

Package: c++-annotations-html
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Conflicts: c++-annotations (<< 6.4.0f-3)
Description: Extensive tutorial and documentation about C++ - html output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands. 
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the html format.

Package: c++-annotations-txt
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Conflicts: c++-annotations (<< 6.4.0f-3)
Description: Extensive tutorial and documentation about C++ - text output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands. 
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the txt format.

Package: c++-annotations-latex
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Conflicts: c++-annotations (<< 6.4.0f-3)
Description: Extensive tutorial and documentation about C++ - LaTeX output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands. 
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the LaTeX format.

Package: c++-annotations-pdf
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Conflicts: c++-annotations (<< 6.4.0f-3)
Description: Extensive tutorial and documentation about C++ - PDF output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands. 
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the PDF format.

Package: c++-annotations-ps
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Conflicts: c++-annotations (<< 6.4.0f-3)
Description: Extensive tutorial and documentation about C++ - Postscript output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands. 
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the PS format.

Package: c++-annotations-dvi
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Conflicts: c++-annotations (<< 6.4.0f-3)
Description: Extensive tutorial and documentation about C++ - DVI output
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses.
 .
 This document is intended for knowledgeable users of C (or any other language
 using a C-like grammar, like Perl or Java) who would like to know more about,
 or make the transition to, C++. This document is the main textbook for
 Frank's C++ programming courses, which are yearly organized at the University
 of Groningen, the Netherlands. 
 .
 The C++ Annotations do not cover all aspects of C++, though. In particular,
 C++'s basic grammar, which is, for all practical purposes, equal to C's
 grammar, is not covered. For this part of the C++ language, the reader should
 consult other texts, like a book covering the C programming language.
 .
 The package offers the C++ Annotations in the DVI format.

Package: c++-annotations-contrib
Architecture: all
Suggests: bisonc++
Depends: ${misc:Depends}
Conflicts: c++-annotations (<< 6.4.0f-3)
Description: Extensive tutorial and documentation about C++ - contributed files
 The C++ Annotations offer an extensive tutorial about the C++ programming
 language. It can be used as a textbook for C/C++ programming courses. See
 the c++-annotations package for more information about the tutorial
 . 
 This package contains external contributions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
				CFLAGS += -O0
else
				CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
				dh_testdir
				# Add here commands to configure the package.

				touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
				dh_testdir

				# Add here commands to compile the package.
				./build docs

				touch $@

clean:
				dh_testdir
				dh_testroot
				rm -rf build-stamp configure-stamp debian/c++-annotations COPYING

				# Add here commands to clean up after the build process.
				./build clean

				dh_clean

install: build
				dh_testdir
				dh_testroot
				dh_prep
				dh_installdirs

				# Add here commands to install the package into debian/c++-annotations.
				#./build install debian/c++-annotations

# Build architecture-independent files here.
# binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
# binary-arch: build install
binary-indep: build install
				dh_testdir
				dh_testroot
				dh_installchangelogs -A changelog
				dh_installdocs   -A README README.papersize README.PORTUGUESE README.legalese debian/copyright
				cp -ra tmp/docs/html	debian/c++-annotations-html/usr/share/doc/c++-annotations/
				cp -ra contrib  debian/c++-annotations-html/usr/share/doc/c++-annotations/html/
				cp -a  tmp/docs/txt/cplusplus.txt				debian/c++-annotations-txt/usr/share/doc/c++-annotations/
				cp -a  tmp/docs/latex/cplusplus.latex   debian/c++-annotations-latex/usr/share/doc/c++-annotations/
				cp -a  tmp/docs/latex/cplusplus.sty				debian/c++-annotations-latex/usr/share/doc/c++-annotations/
				cp -a  tmp/docs/latex/cplusplusus.latex debian/c++-annotations-latex/usr/share/doc/c++-annotations/
				cp -a  tmp/docs/latex/cplusplusus.sty   debian/c++-annotations-latex/usr/share/doc/c++-annotations/
				cp -a  tmp/docs/latex/cplusplus.pdf				debian/c++-annotations-pdf/usr/share/doc/c++-annotations/
				cp -a  tmp/docs/latex/cplusplusus.pdf   debian/c++-annotations-pdf/usr/share/doc/c++-annotations/
				cp -a  tmp/docs/latex/cplusplus.ps				debian/c++-annotations-ps/usr/share/doc/c++-annotations/
				cp -a  tmp/docs/latex/cplusplusus.ps	debian/c++-annotations-ps/usr/share/doc/c++-annotations/
				cp -a  tmp/docs/latex/cplusplus.dvi				debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
				cp -a  tmp/docs/latex/cplusplusus.dvi   debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
				cp -ra contributions	debian/c++-annotations-contrib/usr/share/doc/c++-annotations/
				cp -ra contrib  debian/c++-annotations-contrib/usr/share/doc/c++-annotations/
				mkdir  debian/c++-annotations/usr/share/doc/c++-annotations/examples
				for e  in `find -type d -name examples | grep -v ^./debian`; \
				do cp  -r --parents   "$$e" debian/c++-annotations/usr/share/doc/c++-annotations/examples; done
				dh_installman -pc++-annotations tmp/man/c++-annotations.7
				dh_compress				  -A   -X.html -X.gif -X.pdf
				dh_fixperms
				dh_installdeb
				dh_gencontrol
				dh_md5sums
				dh_builddeb

# The following is for internal development usage only
# Update that sum when new _upstream_ releases occur, this
# catches silent file content forges at the upstream server side

# Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
MD5TRUSTED := 9e17d75ebbc05f53fc988482caedec47

DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
UPNAME := c++-annotations
UPFILE := $(UPNAME)_$(UPVERSION).tar.gz
DEFILE := $(UPNAME)_$(UPVERSION).orig.tar.gz

URL				   := https://www.icce.rug.nl/debian/annotations
MD5CURRENT := `md5sum ../tarballs/$(DEFILE) | sed -e 's/ .*//'`

get-orig-source:
				@@dh_testdir
				@@[ -d ../tarballs/. ]||mkdir -p ../tarballs

				-@if [ ! -f ../tarballs/$(DEFILE) ] ; then \
				echo "Downloading $(URL)/$(UPFILE) from $(URL)/$(UPFILE) ..." ; \
				wget --no-check-certificate --quiet -nv -T10 -t3 \
				-O ../tarballs/$(DEFILE) $(URL)/$(UPFILE) ; \
				else \
				echo "Upstream source tarball have been already downloaded" ; \
				fi

				-@if [ "$(MD5CURRENT)" != "$(MD5TRUSTED)" ] ; then \
				echo "Expecting upstream filename md5sum $(MD5TRUSTED), but $(MD5CURRENT) found" ; \
				echo "Upstream filename md5sum is NOT trusted! Possible upstream filename forge!" ; \
				false ; \
				else \
				echo "Upstream filename md5sum is trusted!" ; \
				fi

print-version:
				@@echo "Debian version:  $(DEBVERSION)"
				@@echo "Upstream version:				 $(UPVERSION)"


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## c++-annotations 8.3.1

=== debian/changelog ===
c++-annotations (8.3.1-2) unstable; urgency=low

  * Set distribution to unstable.

 -- tony mancill <tmancill@debian.org>  Fri, 24 Dec 2010 20:54:01 -0800

c++-annotations (8.3.1-1) experimental; urgency=low

  * New upstream release.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 20 Dec 2010 15:51:06 +0100

c++-annotations (8.3.0-1) experimental; urgency=low

  [ Frank B. Brokken ]
  * New upstream release.

  [ tony mancill ]
  * Uploading to experimental for distribution until the squeeze freeze
    has been lifted.

 -- tony mancill <tmancill@debian.org>  Sun, 19 Sep 2010 18:14:26 -0700

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>, tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: icmake (>= 7.12.1), yodl (>= 2.14.4),
-                libbobcat-dev (>= 2.04.01), flex, zip, texlive-latex-base,
+Build-Depends-Indep: icmake (>= 7.13.0), yodl (>= 3.00.0),
+                libbobcat-dev (>= 2.08.01), flex, zip, texlive-latex-base,
                 texlive-generic-recommended, texlive-latex-recommended, 
-                texlive-fonts-recommended, ghostscript, g++ (>= 4.3.3)
-Standards-Version: 3.8.4
+                texlive-fonts-recommended, ghostscript, g++ (>= 4.4.5)
+Standards-Version: 3.9.1.0
 Vcs-Svn: http://svn.openfmi.net/debian-addons-bg/c++-annotations
 Homepage: http://cppannotations.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -95,7 +95,7 @@
 # catches silent file content forges at the upstream server side
 
 # Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
-MD5TRUSTED := 9e17d75ebbc05f53fc988482caedec47
+MD5TRUSTED := 611ec8fbff69971e866c9443fc6ca83e
 
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')

## c++-annotations 9.0.0

=== debian/changelog ===
c++-annotations (9.0.0-1) unstable; urgency=low

  * New upstream major release, syncing the sections about move special
    members with the position adopted by the C++ standards committee.

  * This update is in preparation of the release of the `real thing'. By then
    this item will be removed.

  * [GD] Added build-arch, build-indep, dropped configure, moved 
     installation part to install-indep; dropped configure-stamp.
  * [GD] Install c++-annotations.7 via c++-annotations.manpages.
  * [GD] Drop portugese translation from description as it is not
         provided anymore (substantially lagging behind the original).
  * [GD] Added Vcs-Browser field.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 20 Jun 2011 11:38:01 +0200

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build-stamp:
	dh_testdir
	./build docs
	touch $@

build:
build-arch:
build-indep: build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp debian/c++-annotations COPYING
	./build clean
	dh_clean

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installchangelogs -A changelog
	dh_installdocs   -A README README.papersize README.PORTUGUESE README.legalese
	dh_installman
	cp -ra tmp/docs/html	                debian/c++-annotations-html/usr/share/doc/c++-annotations/
	cp -ra contrib                          debian/c++-annotations-html/usr/share/doc/c++-annotations/html/
	cp -a  tmp/docs/txt/cplusplus.txt       debian/c++-annotations-txt/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplus.latex   debian/c++-annotations-latex/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplus.sty	debian/c++-annotations-latex/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplusus.latex debian/c++-annotations-latex/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplusus.sty   debian/c++-annotations-latex/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplus.pdf	debian/c++-annotations-pdf/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplusus.pdf   debian/c++-annotations-pdf/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplus.ps	debian/c++-annotations-ps/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplusus.ps	debian/c++-annotations-ps/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplus.dvi	debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
	cp -a  tmp/docs/latex/cplusplusus.dvi   debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
	cp -ra contributions	                debian/c++-annotations-contrib/usr/share/doc/c++-annotations/
	cp -ra contrib                          debian/c++-annotations-contrib/usr/share/doc/c++-annotations/
	mkdir  debian/c++-annotations/usr/share/doc/c++-annotations/examples
	for e  in `find -type d -name examples | grep -v ^./debian`; \
	do cp  -r --parents   "$$e" debian/c++-annotations/usr/share/doc/c++-annotations/examples; done

# architecture-dependent files here.
binary-indep: build-indep install-indep
	dh_compress -A -X.html -X.gif -X.pdf
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# architecture-independent files here.
binary-arch:

# The following is for internal development usage only
# Update that sum when new _upstream_ releases occur, this
# catches silent file content forges at the upstream server side

# Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
MD5TRUSTED := f9e2d8f11c3ad63937011a41eece19c6

DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
UPNAME := c++-annotations
UPFILE := $(UPNAME)_$(UPVERSION).tar.gz
DEFILE := $(UPNAME)_$(UPVERSION).orig.tar.gz
URL    := https://www.icce.rug.nl/debian/annotations
MD5CURRENT := `md5sum ../tarballs/$(DEFILE) | sed -e 's/ .*//'`

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs

	-@if [ ! -f ../tarballs/$(DEFILE) ] ; then \
	echo "Downloading $(URL)/$(UPFILE) from $(URL)/$(UPFILE) ..." ; \
	wget --no-check-certificate --quiet -nv -T10 -t3 \
	-O ../tarballs/$(DEFILE) $(URL)/$(UPFILE) ; \
	else \
	echo "Upstream source tarball have been already downloaded" ; \
	fi

	-@if [ "$(MD5CURRENT)" != "$(MD5TRUSTED)" ] ; then \
	echo "Expecting upstream filename md5sum $(MD5TRUSTED), but $(MD5CURRENT) found" ; \
	echo "Upstream filename md5sum is NOT trusted! Possible upstream filename forge!" ; \
	false ; \
	else \
	echo "Upstream filename md5sum is trusted!" ; \
	fi

print-version:
	@@echo "Debian version:  $(DEBVERSION)"
	@@echo "Upstream version: $(UPVERSION)"


binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install

## c++-annotations 9.0.1

=== debian/changelog ===
c++-annotations (9.0.1-1) unstable; urgency=low

  * New upstream release fixes some annoying typos

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 20 Jul 2011 12:27:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 # catches silent file content forges at the upstream server side
 
 # Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
-MD5TRUSTED := f9e2d8f11c3ad63937011a41eece19c6
+MD5TRUSTED := bb7dd07bc356b68121226ee2f3f1dcc8
 
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
@@ -80,7 +80,6 @@
 MD5CURRENT := `md5sum ../tarballs/$(DEFILE) | sed -e 's/ .*//'`
 
 get-orig-source:
-	@@dh_testdir
 	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
 
 	-@if [ ! -f ../tarballs/$(DEFILE) ] ; then \

## c++-annotations 9.0.2

=== debian/changelog ===
c++-annotations (9.0.2-1) unstable; urgency=low

  * New upstream release (editorial changes)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Mon, 12 Sep 2011 16:08:05 +0200

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 # catches silent file content forges at the upstream server side
 
 # Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
-MD5TRUSTED := bb7dd07bc356b68121226ee2f3f1dcc8
+MD5TRUSTED := 479e51cacad25f6c26821ea82c9a528c
 
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')

## c++-annotations 9.1.0

=== debian/changelog ===
c++-annotations (9.1.0-1) unstable; urgency=low

  * New upstream release (covering C++11 to a large extend)

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Fri, 20 Jan 2012 11:53:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
 Uploaders: George Danchev <danchev@spnet.net>, tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 7)
-Build-Depends-Indep: icmake (>= 7.13.0), yodl (>= 3.00.0),
-                libbobcat-dev (>= 2.08.01), flex, zip, texlive-latex-base,
+Build-Depends-Indep: icmake (>= 7.15.0), yodl (>= 3.00.0),
+                libbobcat-dev (>= 2.21.00), flex, zip, texlive-latex-base,
                 texlive-generic-recommended, texlive-latex-recommended, 
-                texlive-fonts-recommended, ghostscript, g++ (>= 4.4.5)
-Standards-Version: 3.9.1.0
-Vcs-Svn: http://svn.openfmi.net/debian-addons-bg/c++-annotations
+                texlive-fonts-recommended, ghostscript, g++ (>= 4.6.2)
+Standards-Version: 3.9.2
+Vcs-Svn: https://svn.openfmi.net/debian-addons-bg/c++-annotations
+Vcs-Browser: http://svn.openfmi.net/debian-addons-bg/c++-annotations
 Homepage: http://cppannotations.sourceforge.net/
 
 Package: c++-annotations
@@ -18,9 +19,7 @@
 Depends: ${misc:Depends}, c++-annotations-html, c++-annotations-txt, c++-annotations-latex, c++-annotations-pdf, c++-annotations-ps, c++-annotations-dvi, c++-annotations-contrib
 Description: Extensive tutorial and documentation about C++
  The C++ Annotations offer an extensive tutorial about the C++ programming
- language. It can be used as a textbook for C/C++ programming courses. A
- translation of this document (included in this package) is available in
- Portuguese.
+ language. It can be used as a textbook for C/C++ programming courses.
  .
  This document is intended for knowledgeable users of C (or any other language
  using a C-like grammar, like Perl or Java) who would like to know more about,

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 # catches silent file content forges at the upstream server side
 
 # Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
-MD5TRUSTED := 479e51cacad25f6c26821ea82c9a528c
+MD5TRUSTED := 7874c4297077851cdc9fca5b62f52830
 
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')

## c++-annotations 9.2.1

=== debian/changelog ===
c++-annotations (9.2.1-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release (using flexc++, reauthored polymorphic semantic
    values and unrestricted unions). Upstream release 9.2.0 is implied by
    this release.

  [ tony mancill ]
  * Set Standards-Version to 3.9.3.

 -- tony mancill <tmancill@debian.org>  Tue, 28 Feb 2012 00:50:21 +0000

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 # catches silent file content forges at the upstream server side
 
 # Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
-MD5TRUSTED := 7874c4297077851cdc9fca5b62f52830
+MD5TRUSTED := e4f4c5c5684fd7f20c926dde831a7fa4
 
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')

## c++-annotations 9.3.0

=== debian/changelog ===
c++-annotations (9.3.0-1) unstable; urgency=low

  * New upstream release improves coverage of static_cast and
    reinterpret_cast, and reorganizes the wording of the casts-sections

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 29 Mar 2012 08:39:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                 libbobcat-dev (>= 2.21.00), flex, zip, texlive-latex-base,
                 texlive-generic-recommended, texlive-latex-recommended, 
                 texlive-fonts-recommended, ghostscript, g++ (>= 4.6.2)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: https://svn.openfmi.net/debian-addons-bg/c++-annotations
 Vcs-Browser: http://svn.openfmi.net/debian-addons-bg/c++-annotations
 Homepage: http://cppannotations.sourceforge.net/

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 # catches silent file content forges at the upstream server side
 
 # Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
-MD5TRUSTED := e4f4c5c5684fd7f20c926dde831a7fa4
+MD5TRUSTED := fa20ec6d6b2102aae31d28a8bd5eef70
 
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')

## c++-annotations 9.4.0

=== debian/changelog ===
c++-annotations (9.4.0-1) unstable; urgency=low

  * New upstream release adds new section about std::make_shared

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 28 Jun 2012 20:51:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: George Danchev <danchev@spnet.net>, tony mancill <tmancill@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: icmake (>= 7.15.0), yodl (>= 3.00.0),
-                libbobcat-dev (>= 2.21.00), flex, zip, texlive-latex-base,
+                libbobcat-dev (>= 3.00.00), flex, zip, texlive-latex-base,
                 texlive-generic-recommended, texlive-latex-recommended, 
-                texlive-fonts-recommended, ghostscript, g++ (>= 4.6.2)
+                texlive-fonts-recommended, ghostscript, g++ (>= 4.7.0)
 Standards-Version: 3.9.3
 Vcs-Svn: https://svn.openfmi.net/debian-addons-bg/c++-annotations
 Vcs-Browser: http://svn.openfmi.net/debian-addons-bg/c++-annotations

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 # catches silent file content forges at the upstream server side
 
 # Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
-MD5TRUSTED := fa20ec6d6b2102aae31d28a8bd5eef70
+MD5TRUSTED := 0a1297131fdada9313c65fc8d952c3fc
 
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
@@ -83,7 +83,7 @@
 	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
 
 	-@if [ ! -f ../tarballs/$(DEFILE) ] ; then \
-	echo "Downloading $(URL)/$(UPFILE) from $(URL)/$(UPFILE) ..." ; \
+	echo -e "Downloading $(URL)/$(UPFILE)\nSaving into ../tarballs/$(DEFILE) ..." ; \
 	wget --no-check-certificate --quiet -nv -T10 -t3 \
 	-O ../tarballs/$(DEFILE) $(URL)/$(UPFILE) ; \
 	else \

## c++-annotations 9.5.0

=== debian/changelog ===
c++-annotations (9.5.0-1) unstable; urgency=low

  [ Frank B. Brokken ]
  * New upstream release adds new section about Allocators and updates the
    sequential containers to C++11

  [ tony mancill ]
  * Bump Standards-Version to 3.9.4.
  * Remove Vcs-Browse field; replace Vcs-Svn with Vcs-Git URL.

 -- tony mancill <tmancill@debian.org>  Sat, 15 Dec 2012 19:55:26 +0000

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
                 libbobcat-dev (>= 3.00.00), flex, zip, texlive-latex-base,
                 texlive-generic-recommended, texlive-latex-recommended, 
                 texlive-fonts-recommended, ghostscript, g++ (>= 4.7.0)
-Standards-Version: 3.9.3
-Vcs-Svn: https://svn.openfmi.net/debian-addons-bg/c++-annotations
-Vcs-Browser: http://svn.openfmi.net/debian-addons-bg/c++-annotations
+Standards-Version: 3.9.4
+Vcs-Git: http://oosix.icce.rug.nl/git/debian/c++-annotations.git
 Homepage: http://cppannotations.sourceforge.net/
 
 Package: c++-annotations

=== debian/rules ===
--- 
+++ 
@@ -33,20 +33,20 @@
 	dh_installchangelogs -A changelog
 	dh_installdocs   -A README README.papersize README.PORTUGUESE README.legalese
 	dh_installman
-	cp -ra tmp/docs/html	                debian/c++-annotations-html/usr/share/doc/c++-annotations/
+	cp -ra tmp/docs/html                    debian/c++-annotations-html/usr/share/doc/c++-annotations/
 	cp -ra contrib                          debian/c++-annotations-html/usr/share/doc/c++-annotations/html/
 	cp -a  tmp/docs/txt/cplusplus.txt       debian/c++-annotations-txt/usr/share/doc/c++-annotations/
 	cp -a  tmp/docs/latex/cplusplus.latex   debian/c++-annotations-latex/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplus.sty	debian/c++-annotations-latex/usr/share/doc/c++-annotations/
+	cp -a  tmp/docs/latex/cplusplus.sty     debian/c++-annotations-latex/usr/share/doc/c++-annotations/
 	cp -a  tmp/docs/latex/cplusplusus.latex debian/c++-annotations-latex/usr/share/doc/c++-annotations/
 	cp -a  tmp/docs/latex/cplusplusus.sty   debian/c++-annotations-latex/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplus.pdf	debian/c++-annotations-pdf/usr/share/doc/c++-annotations/
+	cp -a  tmp/docs/latex/cplusplus.pdf     debian/c++-annotations-pdf/usr/share/doc/c++-annotations/
 	cp -a  tmp/docs/latex/cplusplusus.pdf   debian/c++-annotations-pdf/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplus.ps	debian/c++-annotations-ps/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplusus.ps	debian/c++-annotations-ps/usr/share/doc/c++-annotations/
-	cp -a  tmp/docs/latex/cplusplus.dvi	debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
+	cp -a  tmp/docs/latex/cplusplus.ps      debian/c++-annotations-ps/usr/share/doc/c++-annotations/
+	cp -a  tmp/docs/latex/cplusplusus.ps    debian/c++-annotations-ps/usr/share/doc/c++-annotations/
+	cp -a  tmp/docs/latex/cplusplus.dvi     debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
 	cp -a  tmp/docs/latex/cplusplusus.dvi   debian/c++-annotations-dvi/usr/share/doc/c++-annotations/
-	cp -ra contributions	                debian/c++-annotations-contrib/usr/share/doc/c++-annotations/
+	cp -ra contributions                    debian/c++-annotations-contrib/usr/share/doc/c++-annotations/
 	cp -ra contrib                          debian/c++-annotations-contrib/usr/share/doc/c++-annotations/
 	mkdir  debian/c++-annotations/usr/share/doc/c++-annotations/examples
 	for e  in `find -type d -name examples | grep -v ^./debian`; \
@@ -69,7 +69,7 @@
 # catches silent file content forges at the upstream server side
 
 # Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
-MD5TRUSTED := 0a1297131fdada9313c65fc8d952c3fc
+MD5TRUSTED := aab1650b052f1229fc86145f25dfc077
 
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
@@ -102,6 +102,33 @@
 	@@echo "Debian version:  $(DEBVERSION)"
 	@@echo "Upstream version: $(UPVERSION)"
 
+# call git-build from the project's base directory as `fakeroot debian/rules git-build'
+# it creates the ./build-area and runs dpkg-buildpackage in build-area/$(UPNAME)-$(UPVERSION)
+# which, if successful, creates the debian files in the build-area
+# Probably easier to use is `git-bl'
+build-area := ../annotations-build
+git-build:
+	@@[ -d ${build-area}/. ]||mkdir -p ${build-area}
+
+	-@if [ ! -f ../tarballs/$(DEFILE) ] ; then \
+	    echo "Upstream source tarball ../tarballs/$(DEFILE) not found" ; \
+	else \
+	    echo rm -rf ${build-area}/$(UPNAME)-$(UPVERSION) ${build-area}/run.lintian ; \
+	    rm -rf ${build-area}/$(UPNAME)-$(UPVERSION) ${build-area}/run.lintian ; \
+	    cp ../tarballs/$(DEFILE) ${build-area} ; \
+	    (chdir ${build-area}; tar xzf $(DEFILE) ) ; \
+	    cp -r debian ${build-area}/$(UPNAME)-$(UPVERSION) ; \
+	    chdir ${build-area}/$(UPNAME)-$(UPVERSION) ; \
+	    dpkg-buildpackage $(DPKG_BUILDPACKAGE) ; \
+	    if [ "$$?" -eq 0 ] ; then \
+	        chdir .. ; \
+	        touch run.lintian ; \
+	        rm -rf $(UPNAME)-$(UPVERSION) ; \
+	    else \
+	        chdir .. ; \
+	        mv $(UPNAME)-$(UPVERSION) $(UPNAME)-$(UPVERSION)-obsolete-`date +%s` ; \
+	    fi \
+	fi
 
 binary: binary-indep binary-arch
 .PHONY: build build-indep build-arch clean binary-indep binary-arch binary install

## c++-annotations 9.6.0

=== debian/changelog ===
c++-annotations (9.6.0-1) unstable; urgency=low

  * New upstream release adds new section about noexcept and updates the
    string chapter

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 10 Jan 2013 20:34:38 +0100

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 # catches silent file content forges at the upstream server side
 
 # Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
-MD5TRUSTED := aab1650b052f1229fc86145f25dfc077
+MD5TRUSTED := 57133a8959b4eb0de4b67cf836b6bd02
 
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')

## c++-annotations 9.7.2

=== debian/changelog ===
c++-annotations (9.7.2-1) unstable; urgency=low

  * New upstream release, repairs several minor left-over flaws.
    This release incorporates 9.7.0 and 9.7.1.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 30 May 2013 13:32:18 +0200

c++-annotations (9.7.1-1) unstable; urgency=low

  * New upstream release updates the Annotation's 'what's new' section. 
    Other than that, release 9.7.1 incorporates 9.7.0.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 30 May 2013 09:47:54 +0200

c++-annotations (9.7.0-1) UNRELEASED; urgency=low

  * New upstream release adds/rewrote several sections, covering topics like
    time specifications, multi-threading, the system_error exception class,
    lambda expressions. Several more minor changes are documented in the
    upstream's changelog.

  * Moved the MD5TRUSTED definition in debian/rules to the top-section of that
    file 

  * Removed the git-build target from debian/rules

  * Changed c++-annotations_...tar.gz to cpp-annotations_...tar.gz to
    synchronize with the pathname used at alioth
    (git.debian.org/git/collab-maint/cpp-annotations) 

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Wed, 29 May 2013 22:38:40 +0200

c++-annotations (9.6.0-2) UNRELEASED; urgency=low

  * Update Vcs fields in d/control to point to collab-maint repo

 -- tony mancill <tmancill@debian.org>  Sun, 10 Mar 2013 12:31:05 -0700

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 # export DH_VERBOSE=1
+
+# Downloaded from https://www.icce.rug.nl/debian/annotations
+MD5TRUSTED := 0c0e7766f8adbb2ef6c956bc6940e579
 
 CFLAGS = -Wall -g
 
@@ -22,7 +25,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -rf build-stamp debian/c++-annotations COPYING
+	rm -rf build-stamp debian/c++-annotations
 	./build clean
 	dh_clean
 
@@ -68,9 +71,6 @@
 # Update that sum when new _upstream_ releases occur, this
 # catches silent file content forges at the upstream server side
 
-# Downloaded from ftp.rug.nl/contrib/frank/documents/annotations:
-MD5TRUSTED := 57133a8959b4eb0de4b67cf836b6bd02
-
 DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')
 UPNAME := c++-annotations
@@ -102,33 +102,5 @@
 	@@echo "Debian version:  $(DEBVERSION)"
 	@@echo "Upstream version: $(UPVERSION)"
 
-# call git-build from the project's base directory as `fakeroot debian/rules git-build'
-# it creates the ./build-area and runs dpkg-buildpackage in build-area/$(UPNAME)-$(UPVERSION)
-# which, if successful, creates the debian files in the build-area
-# Probably easier to use is `git-bl'
-build-area := ../annotations-build
-git-build:
-	@@[ -d ${build-area}/. ]||mkdir -p ${build-area}
-
-	-@if [ ! -f ../tarballs/$(DEFILE) ] ; then \
-	    echo "Upstream source tarball ../tarballs/$(DEFILE) not found" ; \
-	else \
-	    echo rm -rf ${build-area}/$(UPNAME)-$(UPVERSION) ${build-area}/run.lintian ; \
-	    rm -rf ${build-area}/$(UPNAME)-$(UPVERSION) ${build-area}/run.lintian ; \
-	    cp ../tarballs/$(DEFILE) ${build-area} ; \
-	    (chdir ${build-area}; tar xzf $(DEFILE) ) ; \
-	    cp -r debian ${build-area}/$(UPNAME)-$(UPVERSION) ; \
-	    chdir ${build-area}/$(UPNAME)-$(UPVERSION) ; \
-	    dpkg-buildpackage $(DPKG_BUILDPACKAGE) ; \
-	    if [ "$$?" -eq 0 ] ; then \
-	        chdir .. ; \
-	        touch run.lintian ; \
-	        rm -rf $(UPNAME)-$(UPVERSION) ; \
-	    else \
-	        chdir .. ; \
-	        mv $(UPNAME)-$(UPVERSION) $(UPNAME)-$(UPVERSION)-obsolete-`date +%s` ; \
-	    fi \
-	fi
-
 binary: binary-indep binary-arch
 .PHONY: build build-indep build-arch clean binary-indep binary-arch binary install

## c++-annotations 9.7.3

=== debian/changelog ===
c++-annotations (9.7.3-1) unstable; urgency=low

  * New upstream release, fixing several typos.

 -- Frank B. Brokken <f.b.brokken@rug.nl>  Thu, 22 Aug 2013 13:21:10 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
                 texlive-generic-recommended, texlive-latex-recommended, 
                 texlive-fonts-recommended, ghostscript, g++ (>= 4.7.0)
 Standards-Version: 3.9.4
-Vcs-Git: http://oosix.icce.rug.nl/git/debian/c++-annotations.git
+Vcs-Git: git://git.debian.org/git/collab-maint/cpp-annotations.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/cpp-annotations.git
 Homepage: http://cppannotations.sourceforge.net/
 
 Package: c++-annotations

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # export DH_VERBOSE=1
 
 # Downloaded from https://www.icce.rug.nl/debian/annotations
-MD5TRUSTED := 0c0e7766f8adbb2ef6c956bc6940e579
+MD5TRUSTED := b54589a27ee29d1376846f39e282bfad
 
 CFLAGS = -Wall -g
